// The sending of commands to the boards.
class ttchess_sender extends ttchess_common {

	ttchess_serialport com;

	public ttchess_sender(ttchess_serialport _com) {
		com = _com;
	}

	// Puts together a message with checksum and sends it.
	void send(int message, int address) {
		byte x[] = new byte[4];
		x[0] = (byte)message;
		x[1] = (byte)((address>>7) & 0x7F);
		x[2] = (byte)(address & 0x7F);
		x[3] = (byte)(((int)x[0]+(int)x[1]+(int)x[2]) & 0x7F);
		com.write(x);
	}
}
